import { SymbolState as n } from "./symbol.mjs";
import { inject as p, computed as f } from "vue";
import m from "../../node_modules/.pnpm/lodash-es@4.17.21/node_modules/lodash-es/cloneDeep.mjs";
function g() {
  const {
    refresh: e,
    pageInfo: t,
    pageStatus: o,
    setPageStatus: r
  } = p(n), a = f(() => m(t.value));
  return {
    pageStatus: o,
    pageInfo: a,
    refresh: e,
    setPageStatus: r
  };
}
export {
  g as default
};
